Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576949 - [abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes killed by SIGSEGV
Summary: [abrt] gnome-boxes: boxes_wizard_toolbar_set_title_for_page(): gnome-boxes ki...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:243a0e6741d9cce499146e19d8e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 19:54 UTC by alex
Modified: 2018-11-30 21:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:32:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.76 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: cgroup (357 bytes, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: core_backtrace (36.73 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: dso_list (22.57 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: environ (1.45 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: maps (112.22 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: mountinfo (4.03 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: open_fds (4.51 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-05-10 19:54 UTC, alex
no flags Details

Description alex 2018-05-10 19:54:16 UTC
Description of problem:
Used the new box wizard and chose the ISO downloaded from:

https://downloads.freepbxdistro.org/ISO/SNG7-FPBX-64bit-1712-2.iso

Version-Release number of selected component:
gnome-boxes-3.26.2-4.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: boxes_wizard_toolbar_set_title_for_page
executable:     /usr/bin/gnome-boxes
journald_cursor: s=0e9caef7caa64ebfa234b674a26c8d98;i=147fc8;b=8a4d9298d9b442d5ab44d571d5869e7e;m=27b9f6b31;t=56bdf4a8c4c75;x=13c3813927cfd31a
kernel:         4.16.6-202.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1284000001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boxes_wizard_toolbar_set_title_for_page at wizard-toolbar.c:301
 #1 boxes_wizard_set_page at wizard.c:4062
 #2 _boxes_wizard_page_____lambda151_ at wizard.c:3831
 #3 __boxes_wizard_page_____lambda151__gasync_ready_callback at wizard.c:3837
 #4 g_task_return_now at gtask.c:1145
 #5 g_task_return at gtask.c:1203
 #6 boxes_wizard_review_co at wizard.c:1296
 #7 g_task_return_now at gtask.c:1145
 #8 g_task_return at gtask.c:1203
 #9 boxes_wizard_do_review_cancellable_co at wizard.c:2780

Comment 1 alex 2018-05-10 19:54:25 UTC
Created attachment 1434537 [details]
File: backtrace

Comment 2 alex 2018-05-10 19:54:27 UTC
Created attachment 1434538 [details]
File: cgroup

Comment 3 alex 2018-05-10 19:54:29 UTC
Created attachment 1434539 [details]
File: core_backtrace

Comment 4 alex 2018-05-10 19:54:31 UTC
Created attachment 1434540 [details]
File: cpuinfo

Comment 5 alex 2018-05-10 19:54:33 UTC
Created attachment 1434541 [details]
File: dso_list

Comment 6 alex 2018-05-10 19:54:35 UTC
Created attachment 1434542 [details]
File: environ

Comment 7 alex 2018-05-10 19:54:37 UTC
Created attachment 1434543 [details]
File: exploitable

Comment 8 alex 2018-05-10 19:54:38 UTC
Created attachment 1434544 [details]
File: limits

Comment 9 alex 2018-05-10 19:54:41 UTC
Created attachment 1434545 [details]
File: maps

Comment 10 alex 2018-05-10 19:54:43 UTC
Created attachment 1434546 [details]
File: mountinfo

Comment 11 alex 2018-05-10 19:54:45 UTC
Created attachment 1434547 [details]
File: open_fds

Comment 12 alex 2018-05-10 19:54:47 UTC
Created attachment 1434548 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2018-11-27 15:46:04 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:32:25 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.